# Fundamento Generated on 31 Mar 2025 from [the Fundamento catalog page](https://marketplace.digitalocean.com/apps/fundamento) ## Move faster working together No more silos, no more confusion. Fundamento is the place that brings everyone together. ## Documents Capture your ideas, document meetings, make decisions together, or share standard operating procedures so everyone’s on the same page literally. ![](https://res.cloudinary.com/fundamento/image/upload/v1743445750/document_qnrlcd.png) ## Tables Projects, tasks, and to-dos to tackle any challenge. Place to keep your financial data and track your profit. Anything you want and need, row by row. ![](https://res.cloudinary.com/fundamento/image/upload/v1743445766/table_bkhtc8.png) ## Automations Write once, execute thousands of times. With our easy to learn formula language you can automate your workflows and save time. ## Includes ## Teams Organize users into teams, give each team a separate space they can own and manage. Let everybody have their own place at work they they feel at home. ## Permissions Fundamento is a great place for every team in your company, but that doesn’t mean everyone should see or update everything. Permissions are there to help you with that. ## Privacy and flexibility You can host Fundamento in your private cloud or in your own infrastructure ensuring your secrets stay with you. We even give you our source code to peak into. ## Peace of mind What happens in Fundamento stays there. No annoying email notifications about every little change so you can focus on your work. Jump back into the conversation when you want it. ## Software Included | Package | Version | License | |---|---|---| | Nginx | [1.18.0](https://packages.ubuntu.com/jammy/nginx) | [2-clause BSD license](https://nginx.org/LICENSE) | | Docker CE | [26.1.3](https://docs.docker.com/release-notes/docker-ce/) | [Apache 2](https://github.com/docker/docker/blob/master/LICENSE) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=ikigaisystems-fundamento) ## Creating an App using the API In addition to creating a Droplet from the Fundamento 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Fundamento Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"ikigaisystems-fundamento"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Fundamento ## 1-Click DigitalOcean App Deployment Guide Your application is automatically installed during the provisioning process. Within 5-10 minutes, it should be accessible at: *http://YOUR\_IP\_ADDRESS* ## Here’s the quickest way to attach a domain and enable SSL using Certbot. ### Steps: 1. **Open Nginx Configuration** ``` sudo nano /etc/nginx/sites-enabled/fundamento-standalone ``` 2. **Replace `_` with your actual domain** ``` server_name yourdomain.com; ``` 3. **Obtain & Install SSL Certificate** Run the following command to automatically configure Nginx for SSL: ``` sudo certbot --nginx -d yourdomain.com ``` 4. **Verify SSL Auto-Renewal** Test the renewal process with: ``` sudo certbot renew --dry-run ``` 5. **Restart Nginx** ``` sudo systemctl restart nginx ``` Done! Your site is now secured with HTTPS, and Certbot will automatically renew the certificate. 🚀